Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.EPS.CISSExtraction

class slepc4py.SLEPc.EPS.CISSExtraction

  Bases: `object`

  EPS CISS extraction technique.

  - `RITZ`: Ritz extraction.

  - `HANKEL`: Extraction via Hankel eigenproblem.

  See also

  `EPSCISSExtraction`

  Attributes Summary

  `HANKEL` | Constant `HANKEL` of type `int`
  `RITZ` | Constant `RITZ` of type `int`

  Attributes Documentation

  HANKEL: int = HANKEL

    Constant `HANKEL` of type `int`

  RITZ: int = RITZ

    Constant `RITZ` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)